%global private_suffix 4-pcntl
%global private_php_dir %{_libdir}/php%{private_suffix}

Summary:	GTK+ bindings for applications built using php%{private_suffix}
Name:		php%{private_suffix}-gtk
Version:	1.0.2
Release:	8%{?dist}
URL:		http://gtk.php.net/
Source0:	http://gtk.php.net/distributions/php-gtk-%{version}.tar.gz
Patch0:		php_gtk-1.0.2-format.patch
License:	LGPLv2+
BuildRequires:	php%{private_suffix}-devel >= 4.3.0, automake, autoconf, coreutils, gcc, make
BuildRequires:	gtk+-devel >= 1.2.6, libglade-devel, glib-devel, libxml-devel, zlib-devel
Requires:	php%{private_suffix} >= 4.0.5, gtk+ >= 1.2.6

%description
PHP-GTK is an extension for PHP programming language that implements
language bindings for the GTK+ toolkit. It provides an object-oriented
interface to GTK+ classes and functions and greatly simplifies writing
client side cross-platform GUI applications. This version is built
against the minimal PHP version with process control (php%{private_suffix})
and requires that package to be installed too.

%prep
%setup -q -n php_gtk-%{version}

# Fix build with -Werror=format-security
%patch0 -b .orig

%build
# Code is riddled with dubious pointer conversions
export CFLAGS="%{optflags} -fno-strict-aliasing"
export php_cv_cc_rpath=no
PATH=$PATH:%{private_php_dir}/bin ./buildconf
PATH=$PATH:%{private_php_dir}/bin ./configure \
	--libdir=%{private_php_dir}/lib \
	--with-php-config=%{private_php_dir}/bin/php-config
make

%install
mkdir -p %{buildroot}%{private_php_dir}
make INSTALL_ROOT=%{buildroot} install

%files
%if 0%{?_licensedir:1}
%license COPYING.LIB
%else
%doc COPYING.LIB
%endif
%{private_php_dir}/lib/
%doc AUTHORS ChangeLog NEWS README TODO

%changelog
* Thu Mar 15 2018 Paul Howarth <paul@city-fan.org> - 1.0.2-8
- Specify all explicitly-used build requirements
- Drop support for EOL distributions prior to F-13
  - System pcre library is always recent enough
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Fri Oct 24 2014 Paul Howarth <paul@city-fan.org> - 1.0.2-7
- Fix build with -Werror=format-security
- Use %%license where possible
- Drop %%defattr, redundant since rpm 4.4

* Thu Mar  1 2012 Paul Howarth <paul@city-fan.org> - 1.0.2-6
- Don't use macros for commands
- Use -fno-strict-aliasing
- Provide full URL for upstream source release tarball

* Mon Sep  7 2009 Paul Howarth <paul@city-fan.org> - 1.0.2-5
- Define RPM macros in global scope

* Fri Aug  8 2008 Paul Howarth <paul@city-fan.org> - 1.0.2-4
- Rebuild against PHP 4.4.9
- Use alternative approach to killing bogus rpaths, drop libtool buildreq

* Fri Jan  4 2008 Paul Howarth <paul@city-fan.org> - 1.0.2-3
- Rebuild against PHP 4.4.8
- Clarify license as GNU Lesser Public License, version 2.1 or later
- Use system libtool to avoid bogus rpaths on 64-bit architectures

* Thu Apr 13 2006 Paul Howarth <paul@city-fan.org> - 1.0.2-2
- Rename package to php4-pcntl-gtk to match renamed underlying php package
- Remove buildroot unconditionally in %%clean and %%install
- Honour %%{optflags}
- Define %%__id_u macro in a more portable way
- Add %%{?dist} tag for distribution-specific build identification
- Specify libdir for configure (pacify rpmlint a bit)
- Remove explicit library dependencies that rpm will pick up automatically

* Mon Jul 18 2005 Paul Howarth <paul@city-fan.org> - 1.0.2-1
- Update to 1.0.2
- Ensure all directories are owned properly
- Tarball directory stupidly named php_gtk instead of php-gtk

* Mon Apr 11 2005 Paul Howarth <paul@city-fan.org> - 1.0.1-3
- Add build requirement of autoconf

* Thu Sep 30 2004 Paul Howarth <paul@city-fan.org> - 1.0.1-2
- Do not do parallel make on SMP boxen; Makefile does not support parallel
  builds properly

* Wed Aug 11 2004 Paul Howarth <paul@city-fan.org> - 1.0.1-1
- Update to 1.0.1
- Build now works with automake 1.8.3 and does not require buildconf/aclocal/buildconf
  routine, but does require PHP >= 4.3.0

* Tue Jul 20 2004 Paul Howarth <paul@city-fan.org> - 1.0.0-1
- Rebuild against php-pcntl 4.3.8

* Sat Jun 19 2004 James Cameron <james.cameron@hp.com>
- rpm build on debian

* Wed Jun 16 2004 Paul Howarth <paul@city-fan.org> - 1.0.0-0.1
- Don't disable anything in configure, makes the package more generally useful

* Tue Jun 15 2004 Paul Howarth <paul@city-fan.org> - 1.0.0-0
- Initial RPM build
